1

Fixing corrupted RPM database after F17 upgrade

view story
linux-howto

http://forums.fedoraforum.org – Hi all, I finally upgraded to F17 recently (yeah I know, but better late than never), and Preupgrade died trying to upgrade VirtualBox. I had to uninstall it and restart the upgrade. This mostly worked, but I got a message about the rpm db being updated outside the install process (which it was!). So the problem is now that I've got fc16 and fc17 rpms listed in the database, and trying to install anything looks at the fc16 repo. Using yum --releasever=17 seems to work ok, and I think that what I actually do have installed are the fc17 packages. So I'd like people's advice on the be (HowTos)